Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.tapestry5.corelib.data
Enum InsertPosition

    java.lang.Object
      java.lang.Enum<InsertPosition>
          org.apache.tapestry5.corelib.data.InsertPosition

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<InsertPosition>

    public enum InsertPosition

extends java.lang.Enum<InsertPosition>

Enum Constant Summary
`ABOVE` Insert the new content above (i.e., before) the insertion position.
`BELOW` Insert the new context below (i.e., after) the insertion position.

Method Summary
`static InsertPosition` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static InsertPosition[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ABOVE

    public static final InsertPosition ABOVE

  Insert the new content above (i.e., before) the insertion position.

### BELOW

    public static final InsertPosition BELOW

  Insert the new context below (i.e., after) the insertion position.

Method Detail

### values

    public static final InsertPosition[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(InsertPosition c : InsertPosition.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static InsertPosition valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2012 The Apache Software Foundation.